Summary:	Small applications which embed themselves in the GNOME panel
Name:		gnome-applets
Version: 	2.4.0
Release:	1mdk
License:	GPL
Group:		Graphical desktop/GNOME
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0:		gnome-applets-2.3.6-omffix.patch.bz2
URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
PreReq:		scrollkeeper >= 0.3
Requires:   gnome-system-monitor
BuildRequires: libpanel-applet-2-devel >= 2.0.0
BuildRequires: libgtop2.0-devel >= 2.0.0
BuildRequires: libgail-devel >= 0.13
BuildRequires: libglade2.0-devel
BuildRequires: scrollkeeper
Conflicts:	gnome-panel < 2.3.0
Obsoletes: sticky-notes-applet
Provides: sticky-notes-applet

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  GNOME is similar in purpose and
scope to CDE and KDE, but GNOME (like KDE) is based completely on Open Source
software.  The gnome-applets package provides Panel applets which
enhance your GNOME experience.

You should install the gnome-applets package if you would like to abuse the
GNOME desktop environment by embedding small utilities in the GNOME panel.

%prep
%setup -q 
%patch0 -p1 -b .omffix

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%{find_lang} %{name}-2.0 --with-gnome --all-name

# create cache files
touch $RPM_BUILD_ROOT%{_datadir}/gnome/help/battstat/C/battstat.html \
 $RPM_BUILD_ROOT%{_datadir}/gnome/help/cdplayer/C/cdplayer.html \
 $RPM_BUILD_ROOT%{_datadir}/gnome/help/char-palette/C/char-palette.html \
 $RPM_BUILD_ROOT%{_datadir}/gnome/help/command-line/C/command-line.html \
 $RPM_BUILD_ROOT%{_datadir}/gnome/help/geyes/C/geyes.html \
 $RPM_BUILD_ROOT%{_datadir}/gnome/help/gkb/C/gkb.html \
 $RPM_BUILD_ROOT%{_datadir}/gnome/help/gtik2_applet2/C/gtik2_applet2.html \
 $RPM_BUILD_ROOT%{_datadir}/gnome/help/gweather/C/gweather.html \
 $RPM_BUILD_ROOT%{_datadir}/gnome/help/mixer_applet2/C/mixer_applet2.html 


%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
if [ -x %{_bindir}/yelp-pregenerate ]; then %{_bindir}/yelp-pregenerate /usr/share/gnome/help/battstat/C/battstat.xml /usr/share/gnome/help/cdplayer/C/cdplayer.xml /usr/share/gnome/help/char-palette/C/char-palette.xml /usr/share/gnome/help/command-line/C/command-line.xml /usr/share/gnome/help/geyes/C/geyes.xml /usr/share/gnome/help/gkb/C/gkb.xml /usr/share/gnome/help/gtik2_applet2/C/gtik2_applet2.xml /usr/share/gnome/help/gweather/C/gweather.xml /usr/share/gnome/help/mixer_applet2/C/mixer_applet2.xml > /dev/null || true ; fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for SCHEMA in battstat cdplayer charpick drivemount geyes gkb gtik gweather mailcheck mini-commander mixer modemlights multiload stickynotes; do
	gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/${SCHEMA}.schemas > /dev/null
done

%preun
if [ "$1" = "0" ] ; then
 export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
 for SCHEMA in battstat cdplayer charpick drivemount geyes gkb gtik gweather mailcheck mini-commander mixer modemlights multiload stickynotes; do
	 gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/${SCHEMA}.schemas > /dev/null
 done
fi

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%files -f %{name}-2.0.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/*
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_bindir}/*
%{_libexecdir}/*applet*
%{_libdir}/bonobo/servers/*
%{_datadir}/battstat_applet
%{_datadir}/gen_util/*
%{_datadir}/geyes
%{_datadir}/gnome/gkb
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/wireless-applet
%{_datadir}/stickynotes
%dir %{_datadir}/omf/gnome-applets
%{_datadir}/omf/gnome-applets/*-C.omf
%lang(de) %{_datadir}/omf/gnome-applets/*-de.omf
%lang(es) %{_datadir}/omf/gnome-applets/*-es.omf
%lang(fr) %{_datadir}/omf/gnome-applets/*-fr.omf
%lang(it) %{_datadir}/omf/gnome-applets/*-it.omf
%lang(ja) %{_datadir}/omf/gnome-applets/*-ja.omf
%lang(ko) %{_datadir}/omf/gnome-applets/*-ko.omf
%lang(sv) %{_datadir}/omf/gnome-applets/*-sv.omf
%lang(zh) %{_datadir}/omf/gnome-applets/*-zh*.omf

%{_datadir}/pixmaps/*
%{_datadir}/xmodmap
%{_datadir}/gweather

%ghost %{_datadir}/gnome/help/battstat/C/battstat.html
%ghost %{_datadir}/gnome/help/cdplayer/C/cdplayer.html
%ghost %{_datadir}/gnome/help/char-palette/C/char-palette.html
%ghost %{_datadir}/gnome/help/command-line/C/command-line.html
%ghost %{_datadir}/gnome/help/geyes/C/geyes.html
%ghost %{_datadir}/gnome/help/gkb/C/gkb.html
%ghost %{_datadir}/gnome/help/gtik2_applet2/C/gtik2_applet2.html
%ghost %{_datadir}/gnome/help/gweather/C/gweather.html
%ghost %{_datadir}/gnome/help/mixer_applet2/C/mixer_applet2.html 

%changelog
* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-1mdk
- Release 2.3.90

* Wed Aug 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.7-1mdk
- Release 2.3.7

* Wed Aug 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.6-4mdk
- Rebuild against latest libgtop2

* Tue Aug 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.6-3mdk
- Add lang tag to OMF files

* Wed Aug  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.6-2mdk
- Patch0: use DTD validated OMF file for italian

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.6-1mdk
- Release 2.3.6

* Tue Jul 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.5-2mdk
- Obsoletes/provides sticky-notes-applet
- register new schemas
- don't uninstall schema during upgrade

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.5-1mdk
- Release 2.3.5
- Remove hard dependency on gnome-media

* Fri Jun 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-2mdk
- Rebuild against latest libbonobo

* Tue Jun 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-1mdk
- Release 2.3.4

* Thu Jun  5 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-2mdk
- Rebuild against latest libgtop2

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 2.3.3

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.2-1mdk
- Release 2.3.2

* Tue Apr 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.1-1mdk
- Release 2.3.1

* Fri Mar  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.0-2mdk
- Patch0: fix battery applet crash when not all ACPI info are available (Mdk bug 1763)

* Mon Jan 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-2mdk
- Recompiled against latest openssl
- Add yelp cache generation

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Mon Dec 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-2mdk
- Release 2.1.2

* Thu Nov 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.1-2mdk
- Fix bad .server file (Brian J. Murrell)

* Thu Nov 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.1-1mdk
- Release 2.1.1

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3

* Mon Aug 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-3mdk
- Requires gnome-system-monitor (otherwise Monitor Applet can't start g-s-m)

* Wed Jul 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-2mdk
- Recompiled against gail 0.17

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1 (applets binaries are now located in libexecdir)
- Remove patch0 (merged upstream)

* Mon Jul  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-4mdk
- Patch0 (CVS): fix validating error in scrollkeeper file

* Mon Jul  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-3mdk
- Fix BuildRequires (reported by Pascal Terjan)

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-2mdk
- Recompiled against gail 0.16

* Tue Jun 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.105.0-1mdk
- Release 1.105.0

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.102.0-1mdk
- Release 1.102.0

* Tue May  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.101.0-1mdk
- Release 1.101.0

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.100.0-1mdk
- Release 1.100.0
- Remove patch 0 (not needed)
- Remove source1 (merged upstream)

* Thu Apr 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.0-1mdk
- Release 1.99.0
- Remove patch0 (was GNOME 1 patch)
- Add source1: fix broken locales for zh* and ja

* Mon Apr 15 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.98.0-2mdk
- Fix schemas registration (thanks to Abel Cheung and Alexander Skwar)

* Wed Apr 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.98.0-1mdk
- Release 1.98.0 (GNOME2)

* Thu Mar 14 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.4.0.5-4mdk
- i18n fixes

* Wed Feb 27 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.4.0.5-3mdk
- integrated Basque translation

* Sat Feb  9 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.4.0.5-2mdk
- Werror on charpick Makefile aborts PPC build

* Mon Feb  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.5-1mdk
- Release 1.4.0.4

* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.4-3mdk
- Add lang tag to help files (Thanks to Gtz Waschk)

* Fri Sep 28 2001 Stefan van der eijk <stefan@eijk.nu> 1.4.0.4-2mdk
- Removed redundant BuildRequires

* Tue Sep  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.4-1mdk
- Release 1.4.0.4
- Add dependency on gnome-media

* Mon Aug  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.3-1mdk
- Release 1.4.0.3

* Thu Jul 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.2-1mdk
- Release 1.4.0.2

* Fri Mar 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.1-1mdk
- Release 1.4.0.1

* Wed Mar 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-1mdk
- Release 1.4.0
- Regenerate patch 0

* Thu Mar 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-4mdk
- Correct description

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-3mdk
- Correct dependencies on scrollkeeper

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-2mdk
- Correct scrollkeeper files
- Update scrollkeeper database

* Fri Mar  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-1mdk
- Release 1.3.1

* Thu Feb 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-3mdk
- Remove buildconflict on libxml2-devel

* Fri Dec 22 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-2mdk
- Correct dependencies

* Thu Nov 16 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.4-1mdk
- new and shiny release.

* Tue Oct 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.2.3-2mdk
- added buildconflicts with libxml2-devel

* Tue Oct 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.2.3-1mdk
- new version 1.2.3

* Wed Sep  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.2.1-6mdk
- fixed langs
- fixed build root
- I don't think we should put noreplace for gnorba files...
  (must be on par with the app and must not be edited by the user)

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.1-5mdk
- automatically added BuildRequires

* Wed Jul 26 2000 dam's <damien@mandrakesoft.com> 1.2.1-4mdk
- spec cleanup.
- corrected bad localstatedir

* Tue Jul 25 2000 P'tit Lu <ptitlu@mandrakesoft.com> 1.2.1-3mdk
- Improve French translation.

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.2.1-2mdk
- BM + macrozification.

* Tue Jun 13 2000 dam's <damien@mandrakesoft.com> 1.2.1-1mdk
- update from helix version.

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.9-3mdk
- BuildRequires: libghttp-devel

* Wed May 17 2000 Vincent Saugey <vince@mandrakesoft.com> 1.1.9-2mdk
- add build require to recent gnome version

* Tue Apr 25 2000 dam's <damien@mandrakesoft.com> 1.1.9-1mdk
- first mandrake release from helix code.
